POST api/Insured/InsuredSMS
Insured Sms list endpoint.
Request Information
URI Parameters
None.
Body Parameters
List of insured database Ids.
InsuredDataBaseIds| Name | Description | Type | Additional information |
|---|---|---|---|
| InsuredDataBaseId | Collection of globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"insuredDataBaseId": [
"6e3be19c-b66f-4d97-a390-04784d43b76b",
"babc97ab-4783-43e3-800b-54495cc72d17"
]
}
application/xml, text/xml
Sample:
<InsuredDataBaseIds xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.OData">
<InsuredDataBaseId xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:guid>6e3be19c-b66f-4d97-a390-04784d43b76b</d2p1:guid>
<d2p1:guid>babc97ab-4783-43e3-800b-54495cc72d17</d2p1:guid>
</InsuredDataBaseId>
</InsuredDataBaseIds>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
List of InsuredSMS against given insured database Ids.
InsuredSMS| Name | Description | Type | Additional information |
|---|---|---|---|
| DateAndTime | date |
None. |
|
| FromNumber | string |
None. |
|
| ToNumber | string |
None. |
|
| Subject | string |
None. |
|
| FromName | string |
None. |
|
| ToName | string |
None. |
|
| ConversationId | string |
None. |
|
| MessageId | string |
None. |
|
| IsRead | boolean |
None. |
|
| SystemType | string |
None. |
|
| InsuredDatabaseId | globally unique identifier |
None. |
|
| InsuredEmail | string |
None. |
|
| InsuredFirstName | string |
None. |
|
| InsuredLastName | string |
None. |
|
| InsuredCommercialName | string |
None. |
|
| DatabaseId | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
{
"dateAndTime": "2026-02-24T15:48:34.7907928-06:00",
"fromNumber": "sample string 2",
"toNumber": "sample string 3",
"subject": "sample string 4",
"fromName": "sample string 5",
"toName": "sample string 6",
"conversationId": "sample string 7",
"messageId": "sample string 8",
"isRead": true,
"systemType": "sample string 10",
"insuredDatabaseId": "3f021ad0-85f8-470e-87f3-9d71e413229e",
"insuredEmail": "sample string 11",
"insuredFirstName": "sample string 12",
"insuredLastName": "sample string 13",
"insuredCommercialName": "sample string 14",
"databaseId": "52589085-302d-4660-8d24-6e339734eae1"
}
application/xml, text/xml
Sample:
<InsuredSMS xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <ConversationId>sample string 7</ConversationId> <DatabaseId>52589085-302d-4660-8d24-6e339734eae1</DatabaseId> <DateAndTime>2026-02-24T15:48:34.7907928-06:00</DateAndTime> <FromName>sample string 5</FromName> <FromNumber>sample string 2</FromNumber> <InsuredCommercialName>sample string 14</InsuredCommercialName> <InsuredDatabaseId>3f021ad0-85f8-470e-87f3-9d71e413229e</InsuredDatabaseId> <InsuredEmail>sample string 11</InsuredEmail> <InsuredFirstName>sample string 12</InsuredFirstName> <InsuredLastName>sample string 13</InsuredLastName> <IsRead>true</IsRead> <MessageId>sample string 8</MessageId> <Subject>sample string 4</Subject> <SystemType>sample string 10</SystemType> <ToName>sample string 6</ToName> <ToNumber>sample string 3</ToNumber> </InsuredSMS>